Bug 132573 - up2date against RHEL3 and JPackage: depSolver bombs with traceback
up2date against RHEL3 and JPackage: depSolver bombs with traceback
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 15:26 EDT by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-09-14 15:26:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040817

Description of problem:
While setting up up2date to check packages from both the official
RHEL3 repo, and the jpackage repo, an attempt to up2date bombs like so:

[root@gatekeeper root]# up2date -u
 
Fetching Obsoletes list for channel: rhel-i386-es-3...
 
Fetching Obsoletes list for channel: rhel-i386-es-3-extras...
 
Fetching Obsoletes list for channel: jpackage15-rhes-3...
 
Fetching Obsoletes list for channel: jpackage15-generic...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
bcel                                    5.1            1jpp          
   noarch
jakarta-commons-collections             2.1.1          1jpp          
   noarch
jakarta-commons-dbcp                    1.2.1          1jpp          
   noarch
jakarta-commons-logging                 1.0.4          1jpp          
   noarch
jakarta-commons-pool                    1.2            1jpp          
   noarch
mx4j                                    1.1.1          6             
   i386
tomcat5                                 5.0.27         2jpp          
   noarch
tomcat5-admin-webapps                   5.0.27         2jpp          
   noarch
xalan-j2                                2.6.0          1jpp          
   noarch
xerces-j2                               2.6.2          3jpp          
   noarch
xml-commons-resolver                    1.1            2jpp          
   noarch
 
 
Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1066, in batchRun
    batch.run()
  File "up2dateBatch.py", line 74, in run
  File "up2dateBatch.py", line 159, in __dryRun
  File "up2date.py", line 398, in dryRun
  File "depSolver.py", line 728, in solvedep
  File "depSolver.py", line 695, in process_deps
  File "depSolver.py", line 508, in __dependencies
ValueError: list.remove(x): x not in list

Sometimes the above bombout happens, sometimes the dependancy solver
will hang for a number of hours (until killed manually).

I am not sure whether the mx4j package has something to do with this -
it is apparently incompatible with the jpackage stuff, and being more
recent than the jpackage stuff up2date is continually insisting on
trying to install it.


Version-Release number of selected component (if applicable):
up2date-4.2.38-1

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:18:38 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.